Datasets
Get dataset
GET
/
v1
/
datasets
/
{dataset_id}
Get dataset
curl --request GET \
--url https://api.sqwish.ai/v1/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"created_at": 123,
"sha256": "<string>",
"version": 123,
"rows": 123,
"contexts": 123,
"duplicates_removed": 123,
"method": "sft",
"archived_at": 123,
"used_at": 123,
"evaluation_only": true,
"evaluation_fraction": 123,
"split": {},
"prompt_tuning": {
"decisions": [
{
"decision": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"outcomes": [
"<string>"
],
"rows": 123,
"labels": {},
"reason": "conflicting_decision"
}
],
"unlisted": 123
},
"input": {
"format": "json",
"sha256": "<string>",
"bytes": 123
},
"labeling": {
"job_id": "<string>",
"source_id": "<string>",
"source_sha256": "<string>",
"source_input_sha256": "<string>",
"spec_sha256": "<string>",
"prompt_version": "<string>",
"teacher_models": [
"<string>"
],
"row_indices": [
123
],
"selection_sha256": "<string>",
"target_method": "mean_one_hot_teacher_votes"
},
"storage_window": {
"started_at": 123,
"ends_at": 123,
"reserved_usd": "<string>"
},
"labels_to_check": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Response
Successful Response
Get dataset
curl --request GET \
--url https://api.sqwish.ai/v1/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"created_at": 123,
"sha256": "<string>",
"version": 123,
"rows": 123,
"contexts": 123,
"duplicates_removed": 123,
"method": "sft",
"archived_at": 123,
"used_at": 123,
"evaluation_only": true,
"evaluation_fraction": 123,
"split": {},
"prompt_tuning": {
"decisions": [
{
"decision": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"outcomes": [
"<string>"
],
"rows": 123,
"labels": {},
"reason": "conflicting_decision"
}
],
"unlisted": 123
},
"input": {
"format": "json",
"sha256": "<string>",
"bytes": 123
},
"labeling": {
"job_id": "<string>",
"source_id": "<string>",
"source_sha256": "<string>",
"source_input_sha256": "<string>",
"spec_sha256": "<string>",
"prompt_version": "<string>",
"teacher_models": [
"<string>"
],
"row_indices": [
123
],
"selection_sha256": "<string>",
"target_method": "mean_one_hot_teacher_votes"
},
"storage_window": {
"started_at": 123,
"ends_at": 123,
"reserved_usd": "<string>"
},
"labels_to_check": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}